/**
 * 
 * Stepping program definitions
 * 
 * Identifies the first axis
 * 
 * axis1.h: definitions
 * 
 * Copyright 2019 Luděk Horáček <12@12in.cz>
 * 
 * License GPL
 * 
 */

// STEP pin
#define STEPPIN RPI_V2_GPIO_P1_15

// DIR pin
#define DIRPIN RPI_V2_GPIO_P1_18
// DIR levels - setting depends on motor position towards the axis
#define DIRFORWARD LOW
#define DIRBACKWARD HIGH

// stored pid of process
#define STEPSID "/tmp/steps1pid"
#define FREEID "/tmp/free1pid"

// file with relative position information
#define POSTXT "/home/pi/pos1.txt"

// write actual position after signal SIGUSR1
#define POSACT "/tmp/pos1.txt"
