/**
 * 
 * Stepping program definitions
 * 
 * Identifies the second axis
 * 
 * axis2.h: definitions
 * 
 * Copyright 2019 Luděk Horáček <12@12in.cz>
 * 
 * License GPL
 * 
 */

// STEP pin
#define STEPPIN RPI_V2_GPIO_P1_29

// DIR pin
#define DIRPIN RPI_V2_GPIO_P1_32
// DIR levels - setting depends on motor position towards the axis
#define DIRFORWARD LOW
#define DIRBACKWARD HIGH

// stored pid of process
#define STEPSID "/tmp/steps2pid"
#define FREEID "/tmp/free2pid"

// file with relative position information
#define POSTXT "/home/pi/pos2.txt"

// write actual position after signal SIGUSR1
#define POSACT "/tmp/pos2.txt"
