/**
 * 
 * Stepping program definitions
 * 
 * Identifies the third axis
 * 
 * axis3.h: definitions
 * 
 * Copyright 2019 Luděk Horáček <12@12in.cz>
 * 
 * License GPL
 * 
 */

// STEP pin
#define STEPPIN RPI_V2_GPIO_P1_37

// DIR pin
#define DIRPIN RPI_V2_GPIO_P1_40
// DIR levels - setting depends on motor position towards the axis
#define DIRFORWARD LOW
#define DIRBACKWARD HIGH

// stored pid of process
#define STEPSID "/tmp/steps3pid"
#define FREEID "/tmp/free3pid"

// file with relative position information
#define POSTXT "/home/pi/pos3.txt"

// write actual position after signal SIGUSR1
#define POSACT "/tmp/pos3.txt"
